Summary: 	A compact getty program for virtual consoles only
Name: 		mingetty
Version: 	1.07
Release: 	%mkrel 6
Group: 		System/Base
License:	GPL
URL:		ftp://jurix.jura.uni-sb.de/pub/linux/source/system/daemon/
Source0: 	ftp://jurix.jura.uni-sb.de/pub/linux/source/system/daemons/%{name}-%{version}.tar.bz2
Patch0:		mingetty-1.00-opt.patch.bz2
BuildRequires:  dietlibc-devel	>= 0.29
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The mingetty program is a lightweight, minimalist getty program for
use only on virtual consoles.  Mingetty is not suitable for serial
lines (you should use the mgetty program instead for that purpose).

%prep
%setup -q
%patch0 -p1 -b .opt

%build

make \
    CC="diet gcc" \
    CFLAGS="-Os -Wall -pipe -D_GNU_SOURCE -D_BSD_SOURCE" \
    LDFLAGS="-Os -static -s"

mv mingetty mingetty-DIET
make clean
	    
%make RPM_OPTS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
install -D mingetty %{buildroot}/sbin/mingetty
install mingetty-DIET %{buildroot}/sbin/mingetty-DIET
install -D mingetty.8 %{buildroot}%{_mandir}/man8/mingetty.8

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) /sbin/mingetty
%attr(755,root,root) /sbin/mingetty-DIET
%{_mandir}/man8/mingetty.8*


%changelog
* Tue Feb 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.07-6mdv2007.0
+ Revision: 120341
- move binaries to /sbin

* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.07-5mdv2007.1
+ Revision: 119912
- Import mingetty



* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.07-4mdk
- Rebuild

* Wed Jan 26 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.07-3mdk
- dotnuke

* Wed Jan 26 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.07-2mdk
- provide a dietized mingetty too

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.07-1mdk
- 1.07
- really compile with $RPM_OPT_FLAGS
- cosmetics

* Mon Dec 29 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.06-1mdk
- version 1.06

* Tue Apr  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.00-3mdk
- Rebuild to hande biarch struct utmp

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.00-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Sat Apr 06 2002 Yves Duret <yduret@mandrakesoft.com> 1.00-1mdk
- version 1.00
- removed all patch no more needed
- added patch0 to compile with RPMS_OPT_FLAGS
- no more configure/makeinstall (all is done by hand in %%install)
- adapted %%doc files

* Fri Dec  7 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.4-20mdk
- fix build on alpha by using %%configure2_5x and %%makeinstall_std

* Tue Nov 20 2001 Yves Duret <yduret@mandrakesoft.com> 0.9.4-19mdk
- rebuild, fix rpmlint warning
- use new %%makeinstall macro

* Wed Jul 18 2001 Yves Duret <yduret@mandrakesoft.com> 0.9.4-18mdk
- merged various patches (4:fgtec, 5:s390, 6:manpage, 7:syslog) from rh
- more macros
- more spec clean up

* Mon May 21 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.4-17mdk
- correct stupid bug in 16mdk

* Mon May 21 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.4-16mdk
- convert to autoconf/automake
- more spec clean up

* Tue May  1 2001 Yves Duret <yduret@mandrakesoft.com> 0.9.4-15mdk
- spec clean up : macros, s!Copyright!License!, renamed to mingetty.spec
- files perm
- #1924

* Tue Sep  5 2000 Etienne Faure  <etienne@mandraksoft.com> 0.9.4-14mdk
- rebuilt with _mandir and %%doc macros

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.4-13mdk
- fix group

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixed build problems on intel and alpha for manhattan

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
